### Function

# GObject signal_handlers_destroy

since: 2.0

#### Declaration

    void
    g_signal_handlers_destroy (
      GObject* instance
    )

#### Description

Destroy all signal handlers of a type instance. This function is an implementation detail of the `GObject` dispose implementation, and should not be used outside of the type system.

Available since: 2.0

#### Parameters

`instance`

  Type: `GObject`

  The instance whose signal handlers are destroyed.

  The data is owned by the caller of the function.